Name: amarok
Version: 1.0.2
Release: alt2

Summary: Amarok-the music player for KDE with fine interface,playlist and visualisations.
License: GPL
Group: Sound
Url: http://amarok.kde.org/
Packager: Dmitriy Porollo <spider@altlinux.ru>

Source0: %name-%version.tar.bz2
Source1: %name.menu
Source2: amarok-README.ALT
Patch0:  %name.patch
# Automatically added by buildreq on Thu Aug 05 2004
Requires: gstreamer gstreamer-plugins-ALL
BuildRequires: XFree86-devel XFree86-libs fontconfig freetype2 gcc-c++ gcc-g77 glib-devel glib2-devel gstreamer-devel gstreamer-plugins-devel gtk+-devel kde-i18n-ru kde-settings kdelibs-devel kdemultimedia-devel libGLU-devel libarts-devel libjpeg-devel libpng-devel libpopt-devel libqt3-devel libstdc++-devel libtag-devel libxml2-devel libxmms-devel pkgconfig qt3-designer xml-utils zlib-devel


%description
amaroK is an advanced audio player.
Excellent streaming support, audio effects, visualisations and smooth 
crossfading separate this player from existing KDE solutions. 
At the same time amaroK provides a very intuitive and quick user interface, 
with unparalleled playlist handling, optimized for very large playlists.
The built-in StreamBrowser makes finding web streams as easy as using a radio: 
you can pick your favorite program right inside of amaroK.

%description -l ru_RU.KOI8-R
amaroK -   .   , 
 , .     amaroK   
   .     .
 StreamBrowser           
:         amaroK.

%prep
%setup -q
%patch0 -p1

make -f Makefile.cvs

%__subst 's,\.la,\.so,' configure
%__subst 's,\.la,\.so,' amarok/src/amarokarts/Synth_STEREO_XFADE.mcopclass
%__subst 's/\(-Wl,--no-undefined\)/-Wl,--warn-unresolved-symbols \1/g' configure 
%__subst 's/\-lkdeui/-lkdeui -lpthread/g' configure
 
%build
%configure --disable-rpath --without-arts --with-xine
%make_build
%install
make DESTDIR=%buildroot install
#menu
%__mkdir_p %buildroot%_menudir
%__install -pD -m644 %SOURCE1 %buildroot%_menudir/%name
%__install -m644 %SOURCE2 %buildroot/%_datadir/doc/%name-%version

mv %buildroot%_datadir/locale/ru/LC_MESSAGES/%name-%version.mo %buildroot%_datadir/locale/ru/LC_MESSAGES/%name.mo
mv %buildroot%_datadir/locale/da/LC_MESSAGES/%name-%version.mo %buildroot%_datadir/locale/da/LC_MESSAGES/%name.mo
mv %buildroot%_datadir/locale/en_GB/LC_MESSAGES/%name-%version.mo %buildroot%_datadir/locale/en_GB/LC_MESSAGES/%name.mo
mv %buildroot%_datadir/locale/es/LC_MESSAGES/%name-%version.mo %buildroot%_datadir/locale/es/LC_MESSAGES/%name.mo
mv %buildroot%_datadir/locale/et/LC_MESSAGES/%name-%version.mo %buildroot%_datadir/locale/et/LC_MESSAGES/%name.mo
mv %buildroot%_datadir/locale/fr/LC_MESSAGES/%name-%version.mo %buildroot%_datadir/locale/fr/LC_MESSAGES/%name.mo
mv %buildroot%_datadir/locale/hu/LC_MESSAGES/%name-%version.mo %buildroot%_datadir/locale/hu/LC_MESSAGES/%name.mo
mv %buildroot%_datadir/locale/pt/LC_MESSAGES/%name-%version.mo %buildroot%_datadir/locale/pt/LC_MESSAGES/%name.mo
mv %buildroot%_datadir/locale/pt_BR/LC_MESSAGES/%name-%version.mo %buildroot%_datadir/locale/pt_BR/LC_MESSAGES/%name.mo
mv %buildroot%_datadir/locale/sr/LC_MESSAGES/%name-%version.mo %buildroot%_datadir/locale/sr/LC_MESSAGES/%name.mo
mv %buildroot%_datadir/locale/sv/LC_MESSAGES/%name-%version.mo %buildroot%_datadir/locale/sv/LC_MESSAGES/%name.mo
mv %buildroot%_datadir/locale/tr/LC_MESSAGES/%name-%version.mo %buildroot%_datadir/locale/tr/LC_MESSAGES/%name.mo

pushd %buildroot/%_iconsdir/
for f in crystalsvg/*/apps/amarok.png
do
    newpath=`echo $f| sed "s|^crystalsvg/|hicolor/|"`
    newdir=`dirname $f| sed "s|^crystalsvg/|hicolor/|"`
    %__mkdir_p $newdir
    ln -sf ../../../$f $newpath
done

%post
%update_menus

%postun
%clean_menus

%files
%doc AUTHORS ChangeLog README
%_bindir/%name
%_bindir/amarokapp
%_menudir/%name
%_datadir/apps/%name/
%_bindir/amarok_xmmswrapper
%_datadir/applications/kde/amarok.desktop
%_datadir/config.kcfg/amarok.kcfg
%_datadir/config/amarokrc
#%_datadir/services/amarok_artsengine_plugin.desktop
%_datadir/servicetypes/amarok_plugin.desktop
#%_libdir/kde3/libamarok_artsengine_plugin.la
#%_libdir/kde3/libamarok_artsengine_plugin.so
#%_libdir/libamarokarts.so
#%_libdir/mcop/Amarok/RawScope.mcopclass
#%_libdir/mcop/Amarok/Synth_STEREO_XFADE.mcopclass
#%_libdir/mcop/amarokarts.mcopclass
#%_libdir/mcop/amarokarts.mcoptype
%doc %_docdir/HTML/en/%name
%_iconsdir/*/*/apps/%name.png
%_datadir/locale/*/LC_MESSAGES/%name.mo
%_libdir/kde3/libamarok_gstengine_plugin.la
%_libdir/kde3/libamarok_gstengine_plugin.so
%_datadir/services/amarok_gstengine_plugin.desktop

%changelog
* Tue Aug 05 2004 Dmitriy Porollo <spider@altlinux.ru> 1.0.2-alt2
- 1.0.2-alt2 FIX: gstreamer requires.
- 1.0.2-alt2 ADD: README_ALT updated

* Tue Aug 05 2004 Dmitriy Porollo <spider@altlinux.ru> 1.0.2-alt1
- 1.0.2-alt1 ADD: README_ALT
- 1.0.2-alt1 ADD: xine-engine, configure --with-xine to use
- 1.0.2-alt1 FIX: aRts-engine: Compatibility with newer aRts versions improved.
- 1.0.2-alt1 FIX: aRts-engine: Streams sometimes stopping shortly after playback was started.
- 1.0.2-alt1 FIX: CHG: Increased stream connect timeout to 12 seconds.
- 1.0.2-alt1 ADD: Buld without arts engine.

* Tue Jul 13 2004 Dmitriy Porollo <spider@altlinux.ru> 1.0.1-alt3
- 1.0.1-alt3 FIX: Russian ID3v1 tag's bug fixed (see options->encoding)

* Tue Jul 07 2004 Dmitriy Porollo <spider@altlinux.ru> 1.0.1-alt2
- 1.0.1-alt2 FIX: Internatialisations fixed (invalid names of .mo files). 

* Tue Jun 29 2004 Dmitriy Porollo <spider@altlinux.ru> 1.0.1-alt1
- 1.0.1-alt1 ADD: Build with GStreamer. Use It !
- 1.0.1-alt1 FIX: Short dropouts after starting a stream with GStreamer.
- 1.0.1-alt1 FIX: amaroK starting invisible when systray icon is disabled.
- 1.0.1-alt1 FIX: Playlist analyzer looks freaky on some systems. (BR 83671)
- 1.0.1-alt1 FIX: Display filename in title column for wav files. (BR 83650)
- 1.0.1-alt1 FIX: Don't show crash dialog when no engine plugins are found.
- 1.0.1-alt1 FIX: Compile issue for KDE < 3.2.1 users.

* Wed Jun 17 2004 Dmitriy Porollo <spider@altlinux.ru> 1.0-alt1
- 1.0-alt1 Playlist orientated design with optional Player Window for XMMS junkies!
- 1.0-alt1 "Browser" tabs allow quick and shockingly easy access to media, local and streamed
- 1.0-alt1 Support for XMMS visualisations
- 1.0-alt1 Multithreaded design means the UI never hangs during complex tasks
- 1.0-alt1 Sound-engine independent design allows amaroK to run on aRts, GStreamer and NMM
           with native ALSA engine planned!
- 1.0-alt1 Highly configurable design means amaroK can be the player you want!
- 1.0-alt1 Global shortcuts and a powerful DCOP interface allow you to control amaroK in any way you want
- 1.0-alt1 Intuitive inline tag-editing

* Wed Jun 09 2004 Dmitriy Porollo <spider@altlinux.ru> 1.0-alt0.3.beta4
- 1.0-alt0.3.beta4 FIX: Fixed bug in the collection browser.

* Mon Jun 07 2004 Dmitriy Porollo <spider@altlinux.ru> 1.0-alt0.2.beta4
- 1.0-alt0.2.beta4 Translated to russian language.

* Tue Jun 03 2004 Dmitriy Porollo <spider@altlinux.ru> 1.0-alt0.1.beta4
- 1.0-alt0.1.beta4 FIX: Cover not shown in ContextBrowser, when song gets played for the first time ever.
- 1.0-alt0.1.beta4 ADD: Configure->Playback->Device && default device option for audiosinks.
- 1.0-alt0.1.beta4 FIX: Decode %-encoded characters in filenames, like %2f for a slash.
- 1.0-alt0.1.beta4 FIX: Always show OSD (if enabled) on volume changes.
- 1.0-alt0.1.beta4 FIX: Filtering the collection using tokens with number(s) at the beginning or end failed.
- 1.0-alt0.1.beta4 FIX: "Start Scan" menu-entry gets disabled while scanning.
- 1.0-alt0.1.beta4 FIX: Display splash screen on correct desktop with Xinerama.
- 1.0-alt0.1.beta4 FIX: Not all SQL queries were "string-escaped".
- 1.0-alt0.1.beta4 ADD: Added statistics database, which keeps track of how often and when you play a specific song.
- 1.0-alt0.1.beta4 FIX: Show last playtime in localtime instead of UTC.
- 1.0-alt0.1.beta4 ADD: Allow changing volume by using the mousewheel anywhere on the toolbar.
- 1.0-alt0.1.beta4 ADD: Clear button for CollectionBrowser search.
- 1.0-alt0.1.beta4 FIX: Allow OSD still to be shown via shortcut when disabled
